version: "3"

services:
  fictief-register-adressen-en-gebouwen:
    build:
      context: .
      dockerfile: dev.Dockerfile
    ports:
      - 9000:9000
    environment:
      - SDG_POSTGRES_DSN=postgresql://postgres:postgres@postgres:5432/frag?sslmode=disable
      - SDG_LISTEN_ADDRESS=0.0.0.0:9000
    volumes:
      - ./:/api
    depends_on:
      - postgres

  postgres:
    image: postgres:15-alpine
    environment:
      POSTGRES_USER: postgres
      POSTGRES_PASSWORD: postgres
      POSTGRES_DB: frag
    volumes:
      - postgres-data:/var/lib/postgresql/data

networks:
  default:
    external:
      name: digilab-demo-frag

volumes:
  postgres-data:
